org.modeshape.jcr.query

## Class JcrQueryResult.SingleSelectorQueryResultRow

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.AbstractRow
  - - org.modeshape.jcr.query.JcrQueryResult.SingleSelectorQueryResultRow

- All Implemented Interfaces:
    Row
  Enclosing class:
    JcrQueryResult

      protected static class JcrQueryResult.SingleSelectorQueryResultRow
      extends JcrQueryResult.AbstractRow

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CachedNode` | `cachedNode`
    `protected Node` | `node`
    `protected int` | `selectorIndex`

    - ### Fields inherited from class org.modeshape.jcr.query.JcrQueryResult.AbstractRow

      `batchAtRow, iterator`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.SingleSelectorQueryResultRow(JcrQueryResult.QueryResultRowIterator iterator, NodeSequence.Batch batchAtRow, int selectorIndex)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getNode()`
    `Node` | `getNode(String selectorName)`
    `String` | `getPath()`
    `String` | `getPath(String selectorName)`
    `double` | `getScore()`
    `double` | `getScore(String selectorName)`
    `Value` | `getValue(String columnName)`

    - ### Methods inherited from class org.modeshape.jcr.query.JcrQueryResult.AbstractRow

      `getValue, getValues`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cachedNode

          protected final CachedNode cachedNode

    - #### node

          protected final Node node

    - #### selectorIndex

          protected final int selectorIndex

  - ### Constructor Detail

    - #### JcrQueryResult.SingleSelectorQueryResultRow

          protected JcrQueryResult.SingleSelectorQueryResultRow(JcrQueryResult.QueryResultRowIterator iterator,
                                                     NodeSequence.Batch batchAtRow,
                                                     int selectorIndex)

  - ### Method Detail

    - #### getNode

          public Node getNode(String selectorName)
                       throws RepositoryException

      Specified by:
        `getNode` in interface `Row`
      Overrides:
        `getNode` in class `JcrQueryResult.AbstractRow`
      Throws:
        `RepositoryException`

    - #### getValue

          public Value getValue(String columnName)
                         throws ItemNotFoundException,
                                RepositoryException

      Throws:
        `ItemNotFoundException`
        `RepositoryException`

    - #### getNode

          public Node getNode()

      Specified by:
        `getNode` in interface `Row`
      Overrides:
        `getNode` in class `JcrQueryResult.AbstractRow`

    - #### getPath

          public String getPath()
                         throws RepositoryException

      Specified by:
        `getPath` in interface `Row`
      Overrides:
        `getPath` in class `JcrQueryResult.AbstractRow`
      Throws:
        `RepositoryException`

    - #### getPath

          public String getPath(String selectorName)
                         throws RepositoryException

      Specified by:
        `getPath` in interface `Row`
      Overrides:
        `getPath` in class `JcrQueryResult.AbstractRow`
      Throws:
        `RepositoryException`

    - #### getScore

          public double getScore()

      Specified by:
        `getScore` in interface `Row`
      Overrides:
        `getScore` in class `JcrQueryResult.AbstractRow`

    - #### getScore

          public double getScore(String selectorName)
                          throws RepositoryException

      Specified by:
        `getScore` in interface `Row`
      Overrides:
        `getScore` in class `JcrQueryResult.AbstractRow`
      Throws:
        `RepositoryException`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.